This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268206 - golang-bin-1.5.1-0 file conflict with golang-vet-0.2.0
golang-bin-1.5.1-0 file conflict with golang-vet-0.2.0
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: golang-packaging-tracker
  Show dependency treegraph
 
Reported: 2015-10-02 02:49 EDT by Maciek Borzecki
Modified: 2017-01-23 06:42 EST (History)
12 users (show)

See Also:
Fixed In Version: golang-1.6.3-2.fc24 golang-1.5.4-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-23 06:42:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maciek Borzecki 2015-10-02 02:49:27 EDT
Description of problem:

When upgrading golang-bin from 1.4.2 to 1.5.1:

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache till the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/golang/pkg/tool/linux_amd64/vet from install of golang-bin-1.5.1-0.fc22.x86_64 conflicts with file from package golang-vet-0-2.0.hga7e14835e46b.fc22.x86_64

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. Have golang-bin-1.4.2-3 installed
2. Have golang-vet-0-2.0.hga7e14835e46b installed
3. Upgrade golang-bin to 1.5.1-0

Actual results:
File conflict between golang-bin-1.5.1 and golang-vet

Additional info:
golang-bin-1.5.1 should be replacing golang-vet
Comment 1 Vincent Batts 2015-10-02 10:09:34 EDT
ah boo. I missed a obsolete marker.
For now `dnf remove golang-vet` to work around this.
Comment 2 Jan Chaloupka 2015-10-02 10:41:48 EDT
https://github.com/golang/go/issues/12820
Comment 3 Nikola Forró 2015-10-06 04:53:44 EDT
Same issue with golang-cover.
Comment 4 Fedora End Of Life 2016-07-19 14:05:34 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Kees de Jong 2016-07-20 09:04:58 EDT
This problem is still present in Fedora 24. Can the reporter please assign this bug to the Fedora 24 release and reopen the bug?



[root@defiant python]# dnf install golang-vet
Last metadata expiration check: 1:29:19 ago on Wed Jul 20 13:33:25 2016.
Dependencies resolved.
=========================================================================================================================================
 Package                        Arch                       Version                                      Repository                  Size
=========================================================================================================================================
Installing:
 golang-vet                     x86_64                     0-10.1.git1cdaff4.fc24                       fedora                     1.2 M

Transaction Summary
=========================================================================================================================================
Install  1 Package

Total download size: 1.2 M
Installed size: 4.7 M
Is this ok [y/N]: y
Downloading Packages:
golang-vet-0-10.1.git1cdaff4.fc24.x86_64.rpm                                                             4.4 MB/s | 1.2 MB     00:00    
-----------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                    849 kB/s | 1.2 MB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/golang/pkg/tool/linux_amd64/vet from install of golang-vet-0-10.1.git1cdaff4.fc24.x86_64 conflicts with file from package golang-bin-1.6.2-1.fc24.x86_64

Error Summary
-------------
Comment 6 Fedora Update System 2016-08-05 11:14:40 EDT
golang-googlecode-tools-0-12.1.git1cdaff4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb2f02e719
Comment 7 Fedora Update System 2016-08-05 11:15:12 EDT
golang-googlecode-tools-0-12.1.git1cdaff4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4acabcc3a
Comment 8 Jan Chaloupka 2016-08-05 11:21:08 EDT
Jakub, don't have commit access for golang. Can you update the spec file?

diff --git a/golang.spec b/golang.spec
index f6e34db..e962386 100644
--- a/golang.spec
+++ b/golang.spec
@@ -91,7 +91,7 @@
 
 Name:           golang
 Version:        1.7
-Release:        0.2.rc5%{?dist}
+Release:        0.3.rc5%{?dist}
 Summary:        The Go Programming Language
 # source tree includes several copies of Mark.Twain-Tom.Sawyer.txt under Public Domain
 License:        BSD and Public Domain
@@ -210,6 +210,10 @@ Obsoletes:      %{name}-pkg-netbsd-arm < 1.4.99
 Obsoletes:      %{name}-pkg-openbsd-386 < 1.4.99
 Obsoletes:      %{name}-pkg-openbsd-amd64 < 1.4.99
 
+Obsoletes:      golang-vet < 0-12.1
+Obsoletes:      golang-cover < 0-12.1
+
+
 Requires(post): %{_sbindir}/update-alternatives
 Requires(postun): %{_sbindir}/update-alternatives
 
@@ -471,6 +475,11 @@ fi
 %endif
 
 %changelog
+* Fri Aug 05 2016 jchaloup <jchaloup@redhat.com> - 1.7-0.3.rc5
+- Obsolete golang-vet and golang-cover from golang-googlecode-tools package
+  vet/cover binaries are provided by golang-bin rpm
+  resolves: #1268206
+
 * Wed Aug 03 2016 Jakub Čajka <jcajka@redhat.com> - 1.7-0.2.rc5
 - rebase to go1.7rc5
 - Resolves: BZ#1342090
Comment 10 Fedora Update System 2016-08-08 21:23:19 EDT
golang-googlecode-tools-0-12.1.git1cdaff4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bb2f02e719
Comment 11 Fedora Update System 2016-08-08 21:27:23 EDT
golang-googlecode-tools-0-12.1.git1cdaff4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4acabcc3a
Comment 12 Fedora Update System 2016-08-09 03:20:10 EDT
golang-1.6.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b545e01f4
Comment 13 Fedora Update System 2016-08-09 03:20:23 EDT
golang-1.5.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3a794798a
Comment 14 Fedora Update System 2016-08-09 11:25:26 EDT
golang-1.6.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2b545e01f4
Comment 15 Fedora Update System 2016-08-09 18:22:53 EDT
golang-1.5.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b3a794798a
Comment 16 Fedora Update System 2016-08-10 06:53:41 EDT
golang-googlecode-tools-0-12.1.git1cdaff4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7c1312ead1
Comment 17 Fedora Update System 2016-08-11 10:20:42 EDT
golang-googlecode-tools-0-12.1.git1cdaff4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7c1312ead1
Comment 18 Fedora Update System 2016-08-23 08:50:17 EDT
golang-1.6.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-08-23 11:23:11 EDT
golang-1.5.4-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-08-26 09:20:11 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb49804744
Comment 21 Fedora Update System 2016-08-26 09:20:32 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9eec8af05e
Comment 22 Fedora Update System 2016-08-26 09:21:00 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3771e70e17
Comment 23 Fedora Update System 2016-08-27 17:19:30 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9eec8af05e
Comment 24 Fedora Update System 2016-08-27 17:50:14 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3771e70e17
Comment 25 Fedora Update System 2016-08-27 18:21:56 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-eb49804744
Comment 26 Fedora Update System 2016-09-09 12:55:27 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2016-09-09 12:56:05 EDT
golang-googlecode-tools-0-13.1.git1cdaff4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 28 Fedora Update System 2017-01-21 09:58:51 EST
golang-googlecode-tools-0-15.1.git9deed8c.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7f94a570e6
Comment 29 Fedora Update System 2017-01-21 15:50:22 EST
golang-googlecode-tools-0-15.1.git9deed8c.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-7f94a570e6
Comment 30 Jan Chaloupka 2017-01-23 06:42:05 EST
Sorry about spamming. Next time I will pick new bz id.

Note You need to log in before you can comment on or make changes to this bug.